<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('routes', function (Blueprint $table) {
        
            $table->text('title')->nullable()->change();
            $table->text('description')->nullable()->change();
            $table->text('distance')->nullable()->change();
            $table->text('latlon')->nullable()->change();
            $table->text('gridref')->nullable()->change();
            $table->text('elevations')->nullable()->change();
            $table->text('distances')->nullable()->change();
            $table->text('points')->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
